Package name.pachler.nio.file.impl

# Class Solaris

java.lang.Object
name.pachler.nio.file.impl.Unix
name.pachler.nio.file.impl.Solaris

public class Solaris extends Unix

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Solaris.file_obj`

## Nested classes/interfaces inherited from class name.pachler.nio.file.impl.Unix

`Unix.timespec`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`PORT_SOURCE_AIO`
`static final int`
`PORT_SOURCE_ALERT`
`static final int`
`PORT_SOURCE_FD`
`static final int`
`PORT_SOURCE_FILE`
`static final int`
`PORT_SOURCE_MQ`
`static final int`
`PORT_SOURCE_TIMER`
`static final int`
`PORT_SOURCE_USER`

## Constructor Summary

Constructors
Constructor
Description
`Solaris()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`port_associate(int port, int source, Object object, int events, Object user)`
http://docs.sun.com/app/docs/doc/819-2243/port-associate-3c
`static int`
`port_create()`
http://docs.sun.com/app/docs/doc/819-2243/port-create-3
`static int`
`port_dissociate(int port, int source, Object object)`
http://docs.sun.com/app/docs/doc/819-2243/port-associate-3c

### Methods inherited from class name.pachler.nio.file.impl.Unix

`getIntDefine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PORT_SOURCE_AIO

public static final int PORT_SOURCE_AIO

### PORT_SOURCE_FD

public static final int PORT_SOURCE_FD

### PORT_SOURCE_MQ

public static final int PORT_SOURCE_MQ

### PORT_SOURCE_TIMER

public static final int PORT_SOURCE_TIMER

### PORT_SOURCE_USER

public static final int PORT_SOURCE_USER

### PORT_SOURCE_ALERT

public static final int PORT_SOURCE_ALERT

### PORT_SOURCE_FILE

public static final int PORT_SOURCE_FILE

## Constructor Details

### Solaris

public Solaris()

## Method Details

### port_create

public static int port_create()
http://docs.sun.com/app/docs/doc/819-2243/port-create-3

Returns:

### port_associate

public static int port_associate(int port, int source, Object object, int events, Object user)
http://docs.sun.com/app/docs/doc/819-2243/port-associate-3c

### port_dissociate

public static int port_dissociate(int port, int source, Object object)
http://docs.sun.com/app/docs/doc/819-2243/port-associate-3c

Parameters:
  `port` -
  `source` -
  `object` -
Returns: